package com.tofly.feesapi.bmgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bmgl.entity.BmCbb;
import com.tofly.feesapi.bmgl.entity.BmCbpq;
import com.tofly.feesapi.bmgl.entity.CbbConfig;
import com.tofly.feesapi.bmgl.entity.dto.CbbConfigDto;

import java.util.List;


public interface CbbConfigService extends IService<CbbConfig> {

    boolean saveConfig(CbbConfigDto userCbbConfigDto);


    /**
     * 通过用户id查询抄表本权限
     * @param userId
     * @return
     */
    List<BmCbb> getByCbbByUserId(Long userId);

    /**
     * 通过用户id查询抄表本权限
     * @param userId
     * @return
     */

    List<String> getConfigUserId(Long userId);

    List<BmCbpq> getCbPqInfo();

    List<BmCbb> getCbbInfo(String sscbpq);
}
